Tripnet - Bug #62909

Test case # 42284 (Closed): Post All Functionality Related Issues
Travel agent - Agency notification limit mail issue
04/11/2019 10:19 am - Sangeetha RS

Status: Closed Start date: 05/27/2019
Priority: Normal Due date: 05/28/2019
Assignee: Arya Madhu % Done: 50%
Category: Functionality Estimated time: 4.00 hours
Target version: Spent time: 10.00 hours
End_Date: 05/28/2019 Areas Affected: Nil
remarks: Nil Files Changed: Nil

DB Changes: Nil Initial Planned Hours: 04.00

Keys & Permissions: Nil

Description

agency notification limit mail is not getting..

for example:If my Credit Limit is 100 and | give Notification Limit as 10% then receive mail after my balance is 10 or below 10..as of
now its not getting..

History

#1 - 05/27/2019 09:19 am - Nithin George

- Due date set to 05/27/2019

- Status changed from New to Assigned

- Assignee set to Arya Madhu

- Start date changed from 04/11/2019 to 05/27/2019
- Estimated time set to 4.00

- Initial Planned Hours changed from 0 to 04.00

#2 - 05/27/2019 09:20 am - Arya Madhu

- Status changed from Assigned to In Progress

#3 - 05/27/2019 04:05 pm - Nithin George
- Due date changed from 05/27/2019 to 05/28/2019

#4 - 05/27/2019 04:07 pm - Arya Madhu
- % Done changed from 0 to 50

- remarks set to Nil

- DB Changes set to Nil

- Keys & Permissions set to Nil

- Areas Affected set to Nil

- Files Changed set to Nil

Spend 2 hr to get the latest version of the project and fix the build error and get the result. Check the ValidateCreditDepositLimitForEmailNotification
function in utility up to credit limit there was no issue and the

low balance in account mail get correctly .Now need to check the agency price below 10 and the hotel kwd below 10.For this,

add discount on agency but the kwd price will not change.

#5 - 05/28/2019 01:42 pm - Arya Madhu
- File 1.png added

- File 3.png added

- File 4.png added

- Status changed from In Progress to Not reproducible
- End_Date set to 05/28/2019

Check the agency hotel with credit ballance is 117.564. Book hotel up to its notifictaion limit (ie, 10)

then try to book a hoetl with kwd less than 10 to get the issue.Spend many time to find a hotel with

kwd less than 10. Finaly found the hotel with kwd less than 10. but the booking is can't be possible in this

selected hotel so check the travelFusionHotel provider,CredentiallD,Gatewayservice to fix the hotel booking problem spend
2.15 hrs to solve the issue. Then check the issue by the function ValidateCreditDepositLimitForEmailNotification().

check the issue in agency nnnn,hotel and in travel. In agency hotel make the agency balance 7.922 then

book new agency with kwd below 10 on booking hotel again technical difficulty error occurs. Then

book the hotel with kwd below 10 and got the low balance mail. Then also check the same

condition with another agency and got the low balance mail .

#6 - 09/10/2019 11:19 am - Josna J
- File notifictaion mail.png added
- Status changed from Not reproducible to Closed

Issue not found now.
